% SMD estimation: Section 3.2 in the paper
function obj=lrr_objsmd0(param,data,err,nsim,lag)
alpha=param(1);
beta=param(2);
sig2.uy=param(3);
sig2.eps=param(4);
simcoef=[];
T=size(data.X,1);
for it=1: nsim;
    eps=err.eps(:,it)*sqrt(sig2.eps);
    u.y=err.uy(:,it)*sqrt(sig2.uy);
    B=data.B-[sig2.eps;  0];
    c=inv(data.A)*B;
    dum1=sqrt(c(1)+2*c(2));
    dum2=sqrt(c(1)-2*c(2));
    a=0.5*(dum1+dum2);
    b=0.5*(dum1-dum2);
    x=data.mu+a*(data.X-data.mu)+b*(data.lagX-data.mu);
    X=x+eps;
    y=alpha+beta *X + u.y-beta*eps;
    reg=[ones(T,1) X];
    res=nwest(y,reg,0);
    V=res.resid;
    GamV=[];
    for j=0:lag; 
        GamV(j+1)=V(j+1:end,:)'*V(1:end-j)/T; 
    end;  
    simcoef=[simcoef; res.beta' GamV(1) GamV(2)];
end;
d=(data.coef0-mean(simcoef))';
obj=d'*d;